Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTreeWidgetItem.ChildIndicatorPolicy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTreeWidgetItem.ChildIndicatorPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTreeWidgetItem

    public static final class QTreeWidgetItem.ChildIndicatorPolicy

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QTreeWidgetItem.ChildIndicatorPolicy` | `DontShowIndicator` The controls for expanding and collapsing will never be shown even if there are children.
`static QTreeWidgetItem.ChildIndicatorPolicy` | `DontShowIndicatorWhenChildless` The controls for expanding and collapsing will be shown if the item contains children.
`static QTreeWidgetItem.ChildIndicatorPolicy` | `ShowIndicator` The controls for expanding and collapsing will be shown for this item even if there are no children.

Method Summary
`static QTreeWidgetItem.ChildIndicatorPolicy` | `resolve(int value)` Returns the QTreeWidgetItem$ChildIndicatorPolicy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTreeWidgetItem.ChildIndicatorPolicy` | `valueOf(java.lang.String name)`
`static QTreeWidgetItem.ChildIndicatorPolicy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ShowIndicator

    public static final QTreeWidgetItem.ChildIndicatorPolicy ShowIndicator

  The controls for expanding and collapsing will be shown for this item even if there are no children.

### DontShowIndicator

    public static final QTreeWidgetItem.ChildIndicatorPolicy DontShowIndicator

  The controls for expanding and collapsing will never be shown even if there are children. If the node is forced open the user will not be able to expand or collapse the item.

### DontShowIndicatorWhenChildless

    public static final QTreeWidgetItem.ChildIndicatorPolicy DontShowIndicatorWhenChildless

  The controls for expanding and collapsing will be shown if the item contains children.

Method Detail

### values

    public static QTreeWidgetItem.ChildIndicatorPolicy[] values()

### valueOf

    public static QTreeWidgetItem.ChildIndicatorPolicy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTreeWidgetItem.ChildIndicatorPolicy resolve(int value)

  Returns the QTreeWidgetItem$ChildIndicatorPolicy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD